# Interface DoubleBinaryOperator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface DoubleBinaryOperator
Represents an operation upon two `double`-valued operands and producing a `double`-valued result. This is the primitive type specialization of `BinaryOperator` for `double`.

This is a functional interface whose functional method is `applyAsDouble(double, double)`.

Since:
  1.8
See Also:
  - `BinaryOperator`
  - `DoubleUnaryOperator`

## Method Summary

Modifier and Type
Method
Description
`double`
`applyAsDouble(double left, double right)`
Applies this operator to the given operands.

## Method Details

### applyAsDouble

double applyAsDouble(double left, double right)
Applies this operator to the given operands.

Parameters:
  `left` - the first operand
  `right` - the second operand
Returns:
  the operator result